/************************************************
 * Copyright (c) Shen Li. All rights reserved.  *
 * http://joyaop.sourceforge.net                *
 * -------------------------------------------- *
 * Distributable under LGPL license.            *
 * See terms of license at gnu.org.             *
 ************************************************/
package net.sf.joyaop.demo.rbac.model;

import java.util.Set;

/**
 * @author Shen Li
 */
public interface Parent {
    Set getChildren();

    void setChildren(Set children);

    void addChild(Child child);

    boolean hasChild(Child child);

    void removeChildren(Child child);
}
